com.amazonaws.services.simpleworkflow.model

## Class DecisionTaskStartedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.DecisionTaskStartedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class DecisionTaskStartedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `DecisionTaskStarted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DecisionTaskStartedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DecisionTaskStartedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getIdentity()` Identity of the decider making the request.
`Long` `getScheduledEventId()` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`int` `hashCode()`
`void` `setIdentity(String identity)` Identity of the decider making the request.
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DecisionTaskStartedEventAttributes` `withIdentity(String identity)` Identity of the decider making the request.
`DecisionTaskStartedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecisionTaskStartedEventAttributes

    public DecisionTaskStartedEventAttributes()

### Method Detail

#### setIdentity

    public void setIdentity(String identity)

Identity of the decider making the request. This enables diagnostic tracing when problems arise. The form of this identity is user defined.

Parameters:
  `identity` - Identity of the decider making the request. This enables diagnostic tracing when problems arise. The form of this identity is user defined.

#### getIdentity

    public String getIdentity()

Identity of the decider making the request. This enables diagnostic tracing when problems arise. The form of this identity is user defined.

Returns:
  Identity of the decider making the request. This enables diagnostic tracing when problems arise. The form of this identity is user defined.

#### withIdentity

    public DecisionTaskStartedEventAttributes withIdentity(String identity)

Identity of the decider making the request. This enables diagnostic tracing when problems arise. The form of this identity is user defined.

Parameters:
  `identity` - Identity of the decider making the request. This enables diagnostic tracing when problems arise. The form of this identity is user defined.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public DecisionTaskStartedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DecisionTaskStartedEventAttributes clone()

Overrides:
  `clone` in class `Object`